
; ========================================================
;			
;    -- NewGL.inc --
;			Savage
; ========================================================
  

;#################################################
;#                Include
;#################################################
	include windows.inc
	include user32.inc
	include kernel32.inc
	include gdi32.inc
	
	include C:\WinAsm\Inc\GLmacros.inc
	include C:\WinAsm\Inc\GLprotos.inc
	
	
	includeLib user32.lib
	includeLib kernel32.lib
	includelib opengl32.lib
	includelib glu32.lib
	includelib gdi32.lib
	
;#################################################
;#                .DATA
;#################################################
.data
;------------------------------------------------
;	OpenGL
;------------------------------------------------

	align 4
	
	hRC 		HGLRC		0	; Permanent Rendering Context (OpenGL's Device Context. )
	hDC			HDC			0	; Private GDI Device Context
	hWnd		HWND		0	; Holds Our Window Handle
	hInstance	HINSTANCE	0	; Holds The Instance Of The Application
	
	active		BOOL		TRUE	; Window Active Flag Set To TRUE By Default
	fullscreen	BOOL		TRUE	; Fullscreen Flag Set To Fullscreen Mode By Default
	
	
	keys BOOL 256 dup(0) 		; Array Used For The Keyboard Routine
	
	pfd PIXELFORMATDESCRIPTOR <	\		
		Sizeof PIXELFORMATDESCRIPTOR,\	
		1,\								
		PFD_DRAW_TO_WINDOW or \			
		PFD_SUPPORT_OPENGL or \			
		PFD_DOUBLEBUFFER,\				
		PFD_TYPE_RGBA,\					
		0,\							
		0, 0, 0, 0, 0, 0,\				
		0,\								
		0,\								
		0,\								
		0, 0, 0, 0,\					
		16,\						
		0,\								
		0,\								
		PFD_MAIN_PLANE,\				
		0,\							
		0, 0, 0 >		
					
	.data?
;------------------------------------------------
;	Windows variables
;------------------------------------------------
	CommandLine		LPSTR ?
	hMenu			HMENU ?


;#################################################
;#                EQU
;#################################################

	
	starBmp		EQU 105

.const
;------------------------------------------------
;	Strings
;------------------------------------------------
	szAppName		db "NewGL Application",0
	MenuName		db "FirstMenu",0
	WindowTitle 	db "Savage's OpenGL",0
	GLClassName		db "ClassOpenGL",0
	

